Bug 141912 - Reproducible troff segfault
Reproducible troff segfault
Product: Fedora
Classification: Fedora
Component: groff (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-12-05 18:04 EST by Ville Skyttä
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-12 09:58:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gdb backtrace (2.30 KB, text/plain)
2004-12-05 18:04 EST, Ville Skyttä
no flags Details

  None (edit)
Description Ville Skyttä 2004-12-05 18:04:59 EST
Running the following command (don't ask ;) makes troff reproducibly segfault:

  zcat -f /usr/share/man/man4/ptmx.4.gz | nroff --legacy ISO-8859-1

This is groff- on FC3.  Backtrace attached.
Comment 1 Ville Skyttä 2004-12-05 18:04:59 EST
Created attachment 107918 [details]
gdb backtrace
Comment 2 Miroslav Lichvar 2006-01-10 08:09:20 EST
Manpage ptmx.4 includes man4/pts.4 therefore the command has to be run in
/usr/share/man directory. Otherwise groff will not find the file and abort.
Comment 3 Ville Skyttä 2006-01-10 10:40:10 EST
Aborting or erroring out is ok, crashing is not.  But anyway, it no longer
crashes in FC-4 and Rawhide so I don't care that much (nor can I any more test
with FC-3).
Comment 4 Ville Skyttä 2006-01-10 14:05:44 EST
Oops, it seems to crash in FC-4 ( and Rawhide ( still
after all -> reopening.

A graceful exit with an error message would be much more acceptable than a
silent core dump.
Comment 5 Miroslav Lichvar 2006-01-12 09:58:58 EST
Ok, there was a problem with assertion failure. Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.